package cn.com.qmth.examcloud.core.oe.task.service;

import cn.com.qmth.examcloud.support.enums.IsSuccess;
import cn.com.qmth.examcloud.support.examing.ExamRecordData;

/**
 * @author chenken
 * @date 2018/8/15 11:16
 * @company QMTH
 * @description 考试记录数据服务接口
 */
public interface ExamRecordDataService {


    /**
     * 保存考试记录
     *
     * @param examRecordDataId
     * @param data
     */
    void saveExamRecordDataCache(Long examRecordDataId, ExamRecordData data);

    /**
     * 获取
     *
     * @param examRecordDataId
     * @return
     */
    ExamRecordData getExamRecordDataCache(Long examRecordDataId);

    /**
     * 删除
     *
     * @param examRecordDataId
     */
    void deleteExamRecordDataCache(Long examRecordDataId);

    /**
     * 计算自动审核结果
     * @param isNoPhotoAndIllegality
     * @param faceVerifyResult
     * @param isIllegality
     * @return
     */
    Boolean calcAutoAuditResult(Boolean isNoPhotoAndIllegality, IsSuccess faceVerifyResult, Boolean isIllegality);

    /**
     * 交卷后续处理
     * @param examRecordDataId
     * @return
     */
    ExamRecordData processAfterHandInExam(Long examRecordDataId);
}
